Jump to content

A compilation of emulators


Alistair
 Share

Recommended Posts

Respectively, I would suggest:

FE4 (SNES): ZSNES is probably the best SNES emulator out there

FE6 (GBA): VBA is the obvious choice, NO$GBA works well, as does...

Remakes (DS): Desmume is pretty much the only DS emulator as far as I know, and it can run GBA games as well.

If you have a decently powerful computer, you can also play

FE9/FE10 (Gamecube/Wii): Dolphin is a pretty solid emulator, if a bit CPU/GPU intensive

Link to comment
Share on other sites

If you have a mac (it might be for PC) OpenEMU will allow you to play every single fire emblem game except 9 and 10, it has emulators for TONS of emulators packed in in a stable and convenient package that even runs GBA games better than any other mac emulator.

Link to comment
Share on other sites

NES (FE1, FE2): Nestopia or Nintendulator. Both emulators are very accurate (although Nestopia hasn't been updated since June 2008)

SNES (FE3-FE5): Higan. Excellent, accurate emulator (at least the SNES emulation core is).

GBA (FE6-8): Higan (its GBA emulation core is getting better with its most recent release) or VBA-M (not the original version of VBA which hasn't been updated in more than 10 years)

Gamecube and Wii (FE9, FE10): Dolphin. This one requires high specs to run smoothly though.

DS: (FE11, FE12) DeSmuMe. Runs games smoothly.

There is also a 3DS (for FE13, and all FE14 versions) emulator in development called Citra, but it is not released, as it is in its primitive stages.

Edited by BLS
Link to comment
Share on other sites

I think ZSNES glitches out with FE5, it happened for me anyway

Didn't have that problem with snes9x, although I don't know why it happens so it may or may not have been a different issue.

Link to comment
Share on other sites

I think ZSNES glitches out with FE5, it happened for me anyway

Didn't have that problem with snes9x, although I don't know why it happens so it may or may not have been a different issue.

ZSNES has lots of issues running many games properly, outside of the popular games. Edited by BLS
Link to comment
Share on other sites

ZSNES is quite ancient too. (Latest stable version was released in 2008, nearly 8 years ago)

Maybe you should use snes9x-next or higan-balanced (previously called bsnes) as libretro cores. (Retroarch frontend)

Edited by Naughx
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...